Package lxml :: Package tests :: Module test_elementtree

[hide private]
[frames] | no frames]

# Module test_elementtree

source code

Tests for the ElementTree API

Only test cases that apply equally well to etree and ElementTree belong here. Note that there is a second test module called test_io.py for IO related test cases.

Classes | [hide private]

| _ETreeTestCaseBase
| _XMLPullParserTest
| ETreeTestCase
| ETreePullTestCase
| ElementTreeTestCase
| CElementTreeTestCase

Functions | [hide private]

test_suite() | source code

Variables | [hide private]

| this_dir = ``'``/home/stefan/source/Python/lxml/lxml-release/src/l``...``
| cElementTree = `None` hash(x)
| ElementTreePullTestCase = `None` hash(x)
| __package__ = ``'``lxml.tests``'``

Variables Details | [hide private]

### this_dir

Value:

      '/home/stefan/source/Python/lxml/lxml-release/src/lxml/tests'